[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.ChangeCursor

Changes the cursor to the specified shape.

## Declaration

Source position: extctrls.pp line 1620

`protected procedure TCustomControlBar.ChangeCursor(`
`ACursor: TCursorDesign`
`);`

## Arguments

`ACursor` |  | Cursor shape requested in the method.

## Description

ACursor contains the cursor shape requested in the method. The value in ACursor is translated into one the following cursor constants, and assigned to the Cursor property:

cdDefault
  Uses the default Cursor for the control.
cdGrabber
  Uses the crDrag cursor constant as the cursor shape.
cdRestricted
  Uses the crNo cursor constant as the cursor shape.